//+------------------------------------------------------------------+
//|                                                          Buy.mq4 |
//|                                                            Pooh  |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Pooh "
#property link      "http://www.metaquotes.net"
#property show_inputs

extern string EXPL="Option: 1.Market order; 2.Stop order; 3.Limit order";
extern int Option=3;
extern string PipUsed="Use actual pips, not 4-digit pips.";


extern int NumTries=8;
extern int TP=0;
extern double SL_Level=0;
extern int Slip=10;
extern double Lots_=2;
extern int Magic=200123;
extern double BuyPrice=0;
extern string EXPL1="LotOption1: Calculated lots; 2: Fixed lots;";
extern int LotOption=1;
extern string EXPL2="Risk: risk%";
extern double Risk=1;

//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
  {
//----
   double SL_,TP_, Lot1,Lots;
   int ticket,N;

if(LotOption==2)
Lots=Lots_;
else
{
   Lot1=MathMax(AccountEquity()*Risk/100/(MarketInfo(Symbol(),MODE_TICKVALUE)*(Ask-SL_Level)/Point),MarketInfo(Symbol(),MODE_MINLOT));
   N=NormalizeDouble(Lot1/(MarketInfo(Symbol(),MODE_MINLOT)*2),0);
   Lots=MarketInfo(Symbol(),MODE_MINLOT)*2*N;
}


   
   
   for(int i=1; i<=NumTries;i++)
   {


  if(Option==1)
    ticket=OrderSend(Symbol(),OP_BUY,Lots,Ask,Slip,0,0,
"Manual",Magic,0,Green);

   if(Option==2)
  ticket=OrderSend(Symbol(),OP_BUYSTOP,Lots,BuyPrice,Slip,0,0,"Manual",Magic,0,Green);

   if(Option==3)
  ticket=OrderSend(Symbol(),OP_BUYLIMIT,Lots,BuyPrice,Slip,0,0,"Manual",Magic,0,Green);


   if(ticket>0)
     {
     if(OrderSelect(ticket,SELECT_BY_TICKET,MODE_TRADES))
      {
     Print("Manual buy opened : ",OrderOpenPrice());
     break;
       }
     }
     else Print("Error opening manual buy : ",GetLastError());
    }
   
//----
   return(0);
  }
//+------------------------------------------------------------------+

